Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.WrappedIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedIterator

All Implemented Interfaces:
  `Iterator<E>`

Direct Known Subclasses:
  `CDOModelImpl.InResourceList.InResourceIterator`, `LazyCollection.AppendIterator`, `LazyCollection.UnionIterator`, `LazyList.InsertAtList.InsertAtIterator`, `LazyList.PrependList.PrependIterator`, `LazyOrderedSet.AppendOrderedSet.AppendOrderedSetIterator`, `LazyOrderedSet.ExcludingOrderedSet.ExcludingOrderedSetIterator`, `LazyOrderedSet.InsertAtOrderedSet.InsertAtOrderedSetIterator`, `LazyOrderedSet.PrependOrderedSet.PrependOrderedSetIterator`, `LazySet.ExcludingSet.ExcludingSetIterator`, `LazySet.IncludingSet.IncludingSetIterator`

Enclosing class:
  LazyCollection<E>

public abstract class LazyCollection.WrappedIterator extends LazyCollection.ReadOnlyIterator<E>
Abstract `LazyCollection.ReadOnlyIterator` that wraps around the underlying collection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Iterator<E>`
`inner`

## Constructor Summary

Constructors
Constructor
Description
`WrappedIterator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`E`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### inner

protected final Iterator<E> inner

## Constructor Details

### WrappedIterator

public WrappedIterator()

## Method Details

### hasNext

public boolean hasNext()

### next

public E next()